<?php


namespace App\Entities\ProcedimentoExame;

use App\Utils\Builder;
use App\Entities\Pagamento\PagamentoForm;

class PagamentoFormBuilder implements Builder
{
	protected $comanda_id;
	protected $comanda_itens;
	protected $valor_total;
	protected $formas_pagamento;
	protected $card_credito;
	protected $card_debito;
	protected $boleto;
	protected $pix;
     

    public function build () {
        $pagamentoForm = new PagamentoForm();
        $this->setComanda_id($this->comanda_id);
        $this->setComanda_itens($this->comanda_itens);
        $this->setValor_total($this->valor_total);
        $this->setFormas_pagamento($this->formas_pagamento);
        $this->setCard_credito($this->card_credito);
        $this->setCard_debito($this->card_debito);
        $this->setBoleto($this->boleto);
        $this->setPix($this->pix);        
        
        return $pagamentoForm;
    }
	/**
	 * @param mixed $comanda_id
	 */
	public function setComanda_id($comanda_id) {

		$this->comanda_id = $comanda_id;
		return $this;
	}


	/**
	 * @param mixed $comanda_itens
	 */
	public function setComanda_itens($comanda_itens) {

		$this->comanda_itens = $comanda_itens;
		return $this;
	}


	/**
	 * @param mixed $valor_total
	 */
	public function setValor_total($valor_total) {

		$this->valor_total = $valor_total;
		return $this;
	}


	/**
	 * @param mixed $formas_pagamento
	 */
	public function setFormas_pagamento($formas_pagamento) {

		$this->formas_pagamento = $formas_pagamento;
		return $this;
	}


	/**
	 * @param mixed $card_credito
	 */
	public function setCard_credito($card_credito) {

		$this->card_credito = $card_credito;
		return $this;
	}


	/**
	 * @param mixed $card_debito
	 */
	public function setCard_debito($card_debito) {

		$this->card_debito = $card_debito;
		return $this;
	}


	/**
	 * @param mixed $boleto
	 */
	public function setBoleto($boleto) {

		$this->boleto = $boleto;
		return $this;
	}


	/**
	 * @param mixed $pix
	 */
	public function setPix($pix) {

		$this->pix = $pix;
		return $this;
	}
    
    
}